ember-cli-standard
Ember-cli standard support, for checking your application matches your coding standards.
Last updated a year ago by arschmitz .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install ember-cli-standard 
SYNC missed versions from official npm registry.

ember-cli-standard

Latest NPM release TravisCI Build Status Ember Observer Score

Standard for Ember CLI apps and addons This plugin is heavily inspired by and based on ember-cli-eslint ember-cli/ember-cli-eslint.

Installation

Standard:

ember install ember-cli-standard

Disabling JSHint

Congratulations! You've made the leap into the next generation of JavaScript Standardization. At the moment, however, ember-cli defaults to generating applications and addons with a jshint configuration.

<summary> If you notice the two awkwardly running side by side, click here! </summary>

ember-cli >= 2.5.0

As of ember-cli v.2.5.0, jshint is provided through its own ember-cli-jshint addon. Running npm uninstall --save-dev ember-cli-jshint, in addition to removing any .jshintrc files from your project should guarantee that its behavior is disabled.

ember-cli < 2.5.0

Controlling linting is a bit trickier on versions of ember-cli prior to 2.5.0. Within your ember-cli-build.js file, ember-cli-qunit or ember-cli-mocha can be configured to have their default linting process disabled during:

module.exports = function(defaults) {
  const app = new EmberApp(defaults, {
    'ember-cli-qunit': {
      useLintTree: false
    }
  });
};

or

module.exports = function(defaults) {
  const app = new EmberApp(defaults, {
    'ember-cli-mocha': {
      useLintTree: false
    }
  });
};

Alongside this setting, the hinting property can then be used to enable/disable globally:

const isTesting = process.env.EMBER_ENV === 'test';

module.exports = function(defaults) {
  const app = new EmberApp(defaults, {
    hinting: !isTesting,
  });
};

Usage

Standard will be run by ember-cli-qunit or ember-cli-mocha automatically when you run ember test. If Standard is not being run automatically, try updating your ember-cli and/or ember-cli-qunit/ember-cli-mocha dependencies.

Contributing

Installation

  • git clone this repository
  • npm install
  • bower install

Running

Running Tests

  • npm test (Runs ember try:testall to test your addon against multiple Ember versions)
  • ember test
  • ember test --server

Building

  • ember build

For more information on using ember-cli, visit http://ember-cli.com/.

License

This project is licensed under the MIT License.

Current Tags

  • 1.0.0                                ...           latest (a year ago)

12 Versions

  • 1.0.0                                ...           a year ago
  • 0.3.0                                ...           2 years ago
  • 0.2.1                                ...           4 years ago
  • 0.2.0                                ...           4 years ago
  • 0.1.5                                ...           4 years ago
  • 0.1.4                                ...           4 years ago
  • 0.1.3                                ...           4 years ago
  • 0.1.2                                ...           4 years ago
  • 0.1.1                                ...           4 years ago
  • 0.1.0                                ...           4 years ago
  • 0.0.2                                ...           4 years ago
  • 0.0.1                                ...           4 years ago
Maintainers (1)
Downloads
Today 1
This Week 1
This Month 1
Last Day 0
Last Week 0
Last Month 0
Dependencies (10)
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |